<?php
require_once("../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion
require_once("../includes/academia_constantes.php");
require_once("../includes/funciones_generales.php");
$sesion->set('permiso',permisos($_POST['privilegio']));	

require_once("../includes/lib_lenguaje.php");
$clenguaje=new cLanguage();
if(!comprobar_sesion()){
	mensaje($clenguaje->Phrase('global','ses_cad'),$clenguaje->Phrase('project','institucion'));	
	exit;
}

require_once("../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));
$permisos = str_split($sesion->get('permiso'));

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Listado de usuarios</title>
<script type="text/javascript">
	$(document).ready(function(){
		var parametros="?codigo=a23&cmp_aux=0&grilla=1&mopc=0";
		
		var grilla_usuarios=jQuery("#listado_usuarios").jqGrid({
			height: 360,
			width:995,
			url:'mod_admin_usuarios/list_usuarios.php',
			datatype: "json",
			hidegrid:false,
			rowNum:15,
			rowList:[15,30,50],
			pager: '#pager_usuarios',
			sortname: 'num_identificacion',
			viewrecords: true,
			toolbar:[true,'top'],
			sortorder: "asc",
			editurl:'mod_admin_usuarios/admin_usu_new_edit.php',
			caption:'<?php echo $clenguaje->Phrase('administrador','tit_grilla') ?>',
			//toolbar:[true,"top"],
			colNames:[
				'<?php echo $clenguaje->getField('administrador','num_doc') ?>',
				'<?php echo $clenguaje->Phrase('global','nom_ape') ?>',
				'<?php echo $clenguaje->getField('global','mail') ?>',
				'<?php echo $clenguaje->getField('administrador','user') ?>',
			
				'<?php echo $clenguaje->getField('administrador','activo') ?>',
				
				
				'<?php echo $clenguaje->getField('administrador','tip_user') ?>',
				
				
				'<?php echo $clenguaje->getField('administrador','cargo') ?>',
							
				
			],
			colModel:[
				{name:'num_identificacion',index:'num_identificacion',resizable:false,width:110,searchoptions:{
						sopt:['eq','ne','cn','nc','bw','bn']
					},searchrules:{
						required:true,
						number:true
					}				
				},
				{name:'nombres_usu',index:'nombres_usu',resizable:false,width:200,},
				{name:'mail_usuario',index:'mail_usuario',resizable:false,width:170},
	  		    {name:'login',index:'login',resizable:false, width:100},
								
				{name:'active',index:'active',resizable:false,width:70,stype:'select',align:'center',searchoptions:{
						dataUrl:'includes/select_vacio.php',
						dataInit:function(obj){
							$(obj).html('<option value="1"><?php echo $clenguaje->getField("global","rta_s") ?></option><option value="0"><?php echo $clenguaje->getField("global","rta_n") ?></option>');
						},
						sopt:['eq','ne']
					}
				},
					
				{name:'tipo_usuario',index:'tipo_usuario',resizable:false,width:125,search:false,
					searchoptions:{
						searchhidden:true,
						dataUrl:'includes/cargar_selec_normal.php?codigo=a23&cmp_aux=0&grilla=1&mopc=0',
					}, 
				},

				{name:'nom_cargo',index:'nom_cargo',resizable:false,width:168,
					searchoptions:{
						searchhidden:true,
						dataUrl:'includes/cargar_selec_normal.php?codigo=a24&cmp_aux=0&grilla=1&mopc=0',
					},
				},
			],
			loadComplete:function(){
				cambiar_iconos('pager_usuarios')
			},
			scrollrows:true,
			shrinkToFit:false,
			//altRows: true
		})
		
		jQuery("#listado_usuarios").jqGrid('navGrid','#pager_usuarios',{add:false,edit:false,del:false}, {}, {}, {}, {
			multipleSearch:true,
			modal:false,
			resize : false,
			width:"auto",
		});
		
//-------------------------------------------------------------------------------------------------------------------------------------------
<?php 
if(in_array("A", $permisos)) { ?>		
		var dtnew={
			nom_pag:"t_listado_usuarios",
			ancho:'auto',
			alto:'auto',
			param:'?accion=new',
			iframe:false,
			recarga:true,
			title: '<?php echo $clenguaje->Phrase('global','new') . " " . $clenguaje->Phrase('administrador','name') ?>',
			empresa: '<?php  echo $clenguaje->Phrase('global','empresa') ?>'
		}
		
		btnNuevoColorbox(grilla_usuarios,dtnew)
		
<?php  } if(in_array("M", $permisos)) {?>		
		
		var dtedit={
			nom_pag:"t_listado_usuarios",
			ide_tabla:'listado_usuarios',
			ancho:'auto',
			alto:'auto',
			param:'?accion=edit',
			iframe:false,
			recarga:true,
			msg_sel:'<?php echo $clenguaje->Phrase('global','selrec') ?>', //mensaje si no selecciona un registro
			title: '<?php echo $clenguaje->Phrase('global','edit') . " " . $clenguaje->Phrase('administrador','name') ?>',
			empresa: '<?php  echo $clenguaje->Phrase('project','empresa') ?>',
		}	
		
		btnEditarColorbox(grilla_usuarios,dtedit)
		
<?php } if(in_array("E", $permisos)) {?>			
		var tddel={
			modulo:'administrador',
			nom_pag:"t_listado_usuarios",
			ide_tabla:'listado_usuarios',
			msg_sel:'<?php echo $clenguaje->Phrase('global','selrecdel') ?>', //mensaje si no selecciona un registro
			msg_confirma:'<?php echo str_replace('@','\n',$clenguaje->Phrase('administrador','confirdel')) ?>', //mensaje de confirmacion para la eliminacion
			title: '<?php echo $clenguaje->Phrase('global','del') . " " . $clenguaje->Phrase('administrador','name') ?>',
			empresa: '<?php  echo $clenguaje->Phrase('project','institucion') ?>',
			isgrid:false,
			url:'mod_admin_usuarios/oper_usuarios.php',
			msgExito:'<?php  echo $clenguaje->Phrase('global','delexito') ?>',
		}
		btnEliminar(grilla_usuarios,tddel)
<?php } ?>		
		//-------------------------------------------------------------------------------------
<?php  if(in_array("A", $permisos) && in_array("E", $permisos)  && in_array("M", $permisos)) {?>			
		grilla_usuarios.navButtonAdd("#t_listado_usuarios",{
		  caption:"", 
		  buttonicon : 'permisos', 
		  title:"<?php echo $clenguaje->Phrase('administrador','permisos')?>",
		  onClickButton: function(){
			  var gr = jQuery("#listado_usuarios").getGridParam("selrow"); 
			  if( gr != null ){  
			  		$.fn.colorbox({
						  href: 'mod_admin_usuarios/form_asig_permisos.php?id_usr='+gr,
						  width:  '800',
						  height: '600',
						  title: 'Asignar permisos',
						  transition:'elastic', 
						  iframe:false,
						  onClosed:function(){
							  
						  }
					})
			  }else{
				  jAlert('<?php echo $clenguaje->Phrase('global','selreg')?>','<?php echo $clenguaje->Phrase('project','tit_alert')?>');
			  }
		  },
		 position:"last"	
	});	
	$("#t_listado_usuarios").find(".permisos").css({"background-image":"url('images/permisos.png')", "background-position":"0","width":"16px","height":"16px"});
	
	//---------------------------------------	
	coloca_boton({
		elem:'t_listado_usuarios',
		title:'Administrar roles',
		caption:'',
		id:"per_roll",
		onClickButton:function(){
			$.fn.colorbox({
				  href: 'mod_admin_usuarios/form_asig_permisos_roles.php',
				  width:  '850',
				  height: '580',
				  title: 'Asignar permisos',
				  transition:'elastic', 
				  iframe:false,
				  
			});
		},
		buttonicon:'ui-btn-rol',
	})
//---------------------------------------	
	
<?php } ?>


});
</script>
</head>

<body>
<div align="center">
		<table align="center" id="listado_usuarios"></table>
        <div id="pager_usuarios"></div>
</div>
</body>
</html>